document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_6100 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
# For generate the thesis.
-sudo apt-get install texlive-full
+sudo apt-get install texlive-full inkscape
if [[ ${1} == "--dev" ]] ; then
echo "Install packages for developing..." | bash |
d_bash_6101 | ---
+++
@@ -13,5 +13,5 @@
npm install -g karma-cli
npm install -g npm
npm install -g watch
-npm install -g babel
+npm install -g babel-cli
npm install -g browserify | bash |
d_bash_6102 | ---
+++
@@ -3,5 +3,5 @@
neko run.n electron-api.json
haxe doc.hxml
rm -f electron.zip
-zip -r electron.zip src/ haxelib.json LICENSE README.md run.n -x "*/\.*"
-haxelib submit electron.zip
+zip -r electron.zip src/ haxedoc.xml haxelib.json LICENSE README.md run.n -x "*/\.*"
+#haxelib submit electron.zip | bash |
d_bash_6103 | ---
+++
@@ -10,6 +10,16 @@
deleteIfExists(){
if [[ -e ${1} || -d ${1} ]]; then
rm -rf ${1}
+ fi
+ }
+
+ extract(){
+ if [[ ${1} == *.zip ]]; then
+ unzip -q ${1} -d ${2}
+ elif [[ ${1} == *.tar.gz ]]; then
+ tar -xf ${1} -C ${2}
+ elif [[ $1} == *.7z ]]; then
+ 7z x -o${2}
fi
}
| bash |
d_bash_6104 | ---
+++
@@ -2,6 +2,7 @@
set -e
+if [ "$(uname)" == "Darwin" ]; then
homebrew_casks=(
google-cloud-sdk
)
@@ -13,7 +14,7 @@
echo "Installing cask: $cask"
brew install "$cask" 2>/tmp/cask_error || true
status=$?
- if [[ status != 0 ]]; then
+ if [[ $status != 0 ]]; then
echo "Cask $... | bash |
d_bash_6105 | ---
+++
@@ -18,8 +18,6 @@
echo "Using $PANTS_SHA..."
git reset --hard $PANTS_SHA
fi
-git clean -fdx
-./pants goals
popd
popd
| bash |
d_bash_6106 | ---
+++
@@ -1,5 +1,7 @@
#!/bin/bash
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
FILES="./search_index/*.json"
+cd "$DIR" || exit
for f in $FILES
do
echo "$f" | bash |
d_bash_6107 | ---
+++
@@ -16,4 +16,4 @@
source "${CONF_GAME_FILE_FUNCTION_LIB}"
telnet_command "shutdown"
-sleep 2
+sleep 3 | bash |
d_bash_6108 | ---
+++
@@ -5,6 +5,14 @@
ps -C gearmand
if [ 1 -eq "$?" ]; then
gearmand -d -l stderr
+ shutdown_server=0
fi
${TEST_DIR}/GearmanUTest
+exit_status="$?"
+
+if [ 0 -eq "$shutdown_server" ]; then
+ gearadmin --shutdown
+fi
+
+exit "$exit_status" | bash |
d_bash_6109 | ---
+++
@@ -24,7 +24,7 @@
# [1] REPOS-PATH (the path to this repository)
# [2] TXN-NAME (the name of the txn about to be committed)
python "$1"/hooks/svnperms/svnperms.py -r "$1" -t "$2" || exit 1;
-# the svnperms configuration is defined in ../conf/svnperms.conf
+# the svnperms configuration is defined in .... | bash |
d_bash_6110 | ---
+++
@@ -12,19 +12,26 @@
workon uabackend
-python $CODE_PATH/pipelines/cron/scheduler.py
+if [[ -n $CODE_PATH ]]
+then
+ python $CODE_PATH/pipelines/cron/scheduler.py
-# Check out $CODE_PATH
-cd $CODE_PATH
-git pull
-chgrp -f -R advocacy ..
-chmod 771 -f -R ..
+ # Check out $CODE_PATH
+ ... | bash |
d_bash_6111 | ---
+++
@@ -1,6 +1,4 @@
set -x
-
-ipython_branch=1.x
# Install a local version of the Kbase narrative
conda remove -n kbase --all -y
@@ -9,6 +7,7 @@
pip install -e .
pip install pexpect
+# based on instructions in narrative/docs/developer.md
rm -rf bootstrap
git clone https://github.com/kbase/bootstrap boo... | bash |
d_bash_6112 | ---
+++
@@ -1,8 +1,7 @@
#!/bin/sh
-wget https://api.github.com/repos/libuv/libuv/tarball -O libuv.tar.gz
-mkdir libuv
-tar xzvf libuv.tar.gz -C libuv --strip-components 1
+git clone https://github.com/libuv/libuv.git
cd libuv || return
+git checkout $(git describe --tags)
./autogen.sh
./configure
make | bash |
d_bash_6113 | ---
+++
@@ -21,8 +21,7 @@
python3 -m pip install --user -v ".[all,test]"
pushd tests
-# TODO(kmaehashi): workaround cudapython bug
-python3 -c 'import cupy; cupy.arange(1); cupy.show_config()'
+python3 -c 'import cupy; cupy.show_config()'
python3 -m pytest "${pytest_opts[@]}" .
popd
| bash |
d_bash_6114 | ---
+++
@@ -8,6 +8,10 @@
changes=$(git diff)
if [ "$changes" != "" ]; then
echo 'YOU HAVE UNCOMMITTED CHANGES';
+fi
+changes=$(git ls-files --others --exclude-standard)
+if [ "$changes" != "" ]; then
+ echo 'YOU HAVE UNCOMMITTED FILES';
fi
# Check if there are updates to ssh
@@ -22,4 +26,8 @@
if [ ... | bash |
d_bash_6115 | ---
+++
@@ -6,7 +6,7 @@
tar xf pugixml-1.5.tar.gz
rm pugixml-1.5.tar.gz
-SRC=pugixml-*/src
+SRC=pugixml-1.5/src
TGT=../../src/pugixml
for f in pugiconfig.h pugixml.h pugixml.cpp; do | bash |
d_bash_6116 | ---
+++
@@ -21,7 +21,7 @@
source $(brew --prefix nvm)/nvm.sh
npm config set spin=false
fi
-nvm install 4.2
-nvm use 4.2
+nvm install 6.2
+nvm use 6.2
node --version
npm --version | bash |
d_bash_6117 | ---
+++
@@ -27,6 +27,9 @@
fi
}
+# Build front-end static assets
+npm run frontend-build:production
+
pep8 .
display_result $? 1 "Code style check"
| bash |
d_bash_6118 | ---
+++
@@ -12,9 +12,8 @@
exit 0
fi
-git checkout -b _auto-gen
git commit -m '[Auto] updated json files [ci skip]' out/*.json
-git push "https://${GH_TOKEN}@github.com/fossasia/open-event-scraper" _auto-gen:master
+git push "https://${GH_TOKEN}@github.com/fossasia/open-event-scraper" master
git clone --dept... | bash |
d_bash_6119 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-REV=4560cb830fce63fcffdc4558f4281aaac6a3a1ba
+REV=521d78407471cb78e9bbf47160f6aa23047ac499
set -euo pipefail
cd "$(dirname "${BASH_SOURCE[0]}")" | bash |
d_bash_6120 | ---
+++
@@ -10,12 +10,20 @@
# CtrlP from zsh
zsh_ctrlp() {
+ ctrlp_cmd="CtrlP $1"
if [ -n "$DISPLAY" ] && [ -n "$DEFAULT_X_TERMINAL" ]; then
- (unset TMUX; ${DEFAULT_X_TERMINAL} -e tmux -2 new-session 'vim -c CtrlP' 2>/dev/null) &
+ (unset TMUX; ${DEFAULT_X_TERMINAL} -e tmux -2 new-session "vim -c \"$ctrlp_cm... | bash |
d_bash_6121 | ---
+++
@@ -11,3 +11,7 @@
s3cmd put --acl-public --guess-mime-type dist/target/*.zip $BUCKET
s3cmd put --acl-public --guess-mime-type agent/target/*.war $BUCKET
s3cmd put --acl-public --guess-mime-type packages.js $BUCKET
+
+# Upload the zip package to the archives directory for posterity
+
+s3cmd cp --acl-public ... | bash |
d_bash_6122 | ---
+++
@@ -1,4 +1,7 @@
# enter a few characters and press UpArrow/DownArrow
# to search backwards/forwards through the history
-bind '"[A":history-search-backward'
-bind '"[B":history-search-forward'
+if [ -t 1 ];
+then
+ bind '"[A":history-search-backward'
+ bind '"[B":history-search-forward'
+fi | bash |
d_bash_6123 | ---
+++
@@ -7,3 +7,7 @@
docker run -it -v "$PWD":/data -w /data --rm mysql mysql "$@"
}
+alf() {
+ docker run -ti --name alf --rm amazonlinux-fresh
+}
+ | bash |
d_bash_6124 | ---
+++
@@ -5,4 +5,8 @@
if [[ -e $HOME/.git-extras ]]; then
export PATH="$PATH:$HOME/.git-extras/bin"
antigen bundle git-extras
+
+ if [[ ! -e $HOME/.git-extras/man/man1 ]]; then
+ ln -s $HOME/.git-extras/man $HOME/.git-extras/man/man1
+ fi
fi | bash |
d_bash_6125 | ---
+++
@@ -1,5 +1,21 @@
#!/bin/bash
-ipython trust /import/ipython_galaxy_notebook.ipynb
-/monitor_traffic.sh &
-ipython notebook --no-browser
+uid=`stat --printf %u /import`
+gid=`stat --printf %g /import`
+
+if [[ $uid != '1450' ]] && [[ $gid != '1450' ]]; then
+
+ groupadd -r galaxy -g $gid && \
+ userad... | bash |
d_bash_6126 | ---
+++
@@ -9,7 +9,7 @@
# redhat/openshift-ovs-multitenant
export NETWORKING_E2E_ISOLATION="${NETWORKING_E2E_ISOLATION:-false}"
-export NETWORKING_E2E_FOCUS="${NETWORKING_E2E_FOCUS:-\[networking\]}"
+export NETWORKING_E2E_FOCUS="${NETWORKING_E2E_FOCUS:-\[Area:Networking\]}"
export NETWORKING_E2E_EXTERNAL=1
# ... | bash |
d_bash_6127 | ---
+++
@@ -14,3 +14,11 @@
alias nvM='npm version major'
alias nvm='npm version minor'
alias nvp='npm version patch'
+
+function npf() {
+ jq ".$2" < $(npm ls --parseable "$1")/package.json
+}
+
+function nplf() {
+ jq ".$2" < "./node_modules/$1/package.json"
+} | bash |
d_bash_6128 | ---
+++
@@ -45,7 +45,7 @@
riak-admin cluster plan
riak-admin cluster commit
- while ! riak-admin transfers | grep -iqF 'No transfers active'
+ while riak ping
do
echo 'Transfers in progress'
sleep 10 | bash |
d_bash_6129 | ---
+++
@@ -1,2 +1,4 @@
-curl https://raw.githubusercontent.com/jprichardson/string.js/master/lib/string.js > ./vendor/assets/javascripts/string.js
-curl https://raw.githubusercontent.com/jprichardson/string.js/master/lib/string.min.js > ./vendor/assets/javascripts/string.min.js
+echo 'Please provide a version'
+read... | bash |
d_bash_6130 | ---
+++
@@ -3,9 +3,9 @@
echo Change '$PYTHONPATH' so that the submodules were used.
# The directory where the script is
-DIR=`pwd`
-BLOCKS=$DIR/blocks
-THEANO=$DIR/Theano
+LVSR=`pwd`
+BLOCKS=$LVSR/blocks
+THEANO=$LVSR/Theano
-export PYTHONPATH=$BLOCKS:$THEANO
+export PYTHONPATH=$LVSR:$BLOCKS:$THEANO
echo New P... | bash |
d_bash_6131 | ---
+++
@@ -3,4 +3,4 @@
INFILE=$1
OUTFILE="${INFILE%.*}_embedded.pdf"
-gs -dNOPAUSE -dBATCH -dEmbedAllFonts=true -sDEVICE=pdfwrite -o ${OUTFILE} -c ".setpdfwrite <</NeverEmbed [ ]>> setdistillerparams" -f $INFILE
+gs -dNOPAUSE -dBATCH -dAutoRotatePages=/None -dEmbedAllFonts=true -sDEVICE=pdfwrite -o ${OUTFILE} -c... | bash |
d_bash_6132 | ---
+++
@@ -20,5 +20,7 @@
/etc/kafka-connect-bigquery/standalone.properties \
/etc/kafka-connect-bigquery/connector.properties &
+# Time (seconds) to wait for the process for inserting rows into BigQuery to be done.
+# This time can be adjusted if necessary.
sleep 180
kill $! | bash |
d_bash_6133 | ---
+++
@@ -1,6 +1,16 @@
pwd
git submodule update --init --recursive
brew install sfml
+
+git clone https://github.com/google/googletest.git
+cd googletest
+mkdir build
+cd build
+cmake ..
+make
+sudo make install
+cd ../..
+
mkdir build
cd build
cmake .. -DCMAKE_MODULE_PATH=/usr/local/opt/sfml/share/SFML/cmake... | bash |
d_bash_6134 | ---
+++
@@ -7,7 +7,9 @@
source $VENVPATH/bin/activate;
cd /opt/dev_genoome/genoome/genoome/ && sudo git checkout -- . && \
git pull origin dev && \
-../node_modules/.bin/bower install --cwd ../. && \
+cd ../ &7 \
+../node_modules/.bin/bower install && \
+cd - && \
$GULPPATH --gulpfile ../gulpfile.js --cwd ../ dis... | bash |
d_bash_6135 | ---
+++
@@ -12,5 +12,9 @@
sudo apt-get install -y cloc ctags fzf silversearcher-ag tree
fi
+if [ $OSX ]; then
+ brew install mosh
+fi
+
vim -E -s -u "$HOME/.vimrc" +PlugInstall +qall
| bash |
d_bash_6136 | ---
+++
@@ -7,3 +7,9 @@
sudo sh -c "echo '$(basename ${HTTPS_PROXY_CERT})' >> /etc/ca-certificates.conf"
sudo /usr/sbin/update-ca-certificates
fi
+
+if $(which npm &>/dev/null); then
+ npm config set strict-ssl false
+elif ! [ -f $HOME/.npmrc ] || ! $(grep -q 'strict-ssl' $HOME/.npmrc); then
+ echo 'strict-s... | bash |
d_bash_6137 | ---
+++
@@ -17,4 +17,4 @@
stop_spinner $?
echo
-cloc . --exclude-dir=.idea,bower_components,node,node_modules,target --exclude-ext=iml
+cloc . --exclude-dir=.idea,node,node_modules,target --exclude-ext=iml | bash |
d_bash_6138 | ---
+++
@@ -12,7 +12,7 @@
echo Configuring Analyzer
mkdir -p asm
pushd asm
-emconfigure ../configure --disable-multithread --disable-runtime-cpu-detect --target=generic-gnu --enable-accounting
+emconfigure ../configure --disable-multithread --disable-runtime-cpu-detect --target=generic-gnu --enable-accounting $BUI... | bash |
d_bash_6139 | ---
+++
@@ -1,8 +1,11 @@
#!/bin/sh
: ${SANDBOX_USER:=sandbox}
+: ${SANDBOX_UID:=1000}
+: ${SANDBOX_GID:=1000}
-useradd $SANDBOX_USER
+groupadd -g $SANDBOX_GID $SANDBOX_USER
+useradd -u $SANDBOX_UID -g $SANDBOX_GID $SANDBOX_USER
echo "$SANDBOX_USER ALL=(ALL) NOPASSWD:ALL" >>/etc/sudoers.d/$SANDBOX_USER
if [... | bash |
d_bash_6140 | ---
+++
@@ -29,10 +29,10 @@
echo "Setup gallery app"
cd ${PROJECT_ROOT}/testapp/XD-MVC/Examples/Gallery
npm install
-bower install
+./node_modules/.bin/bower install
# Setup maps app
echo "Setup maps app"
cd ${PROJECT_ROOT}/testapp/XD-MVC/Examples/Maps
npm install
-bower install
+./node_modules/.bin/bower in... | bash |
d_bash_6141 | ---
+++
@@ -9,9 +9,9 @@
source scl_source enable devtoolset-2 >/dev/null 2>&1 || echo GCC 4.8 enabled
-pythonTag=Python-2.7.12
+pythonTag=Python-2.7.18
pythonPkg=${pythonTag}.tgz
-pythonUrl=http://www.python.org/ftp/python/2.7.12/$pythonPkg
+pythonUrl=http://www.python.org/ftp/python/2.7.18/$pythonPkg
wget -... | bash |
d_bash_6142 | ---
+++
@@ -26,7 +26,6 @@
export PYTHON_VERSION="2.7.13"
source languages/python.sh
python --version 2>&1 | grep "${PYTHON_VERSION}"
-rm -rf "${HOME}/pyenv"
# Python 3.*
export PYTHON_VERSION="3.6.0" | bash |
d_bash_6143 | ---
+++
@@ -1,9 +1,17 @@
#!/bin/bash -e
-VERSION='v2.0.0rc2'
+VERSION='v2.0.0'
TOXIPROXY_LOG_DIR=${CIRCLE_ARTIFACTS:-'/tmp'}
+if [[ "$OSTYPE" == "linux"* ]]; then
+ DOWNLOAD_TYPE="linux-amd64"
+elif [[ "$OSTYPE" == "darwin"* ]]; then
+ DOWNLOAD_TYPE="darwin-amd64"
+fi
+
+echo "[dowload toxiproxy for $DOWN... | bash |
d_bash_6144 | ---
+++
@@ -7,7 +7,7 @@
sudo apt-get update
sudo apt-get install aptitude
-sudo aptitude install git screen vim rubygems1.9.1 ruby1.9.1-dev ${image_viewer} ${image_editor} ${desktop_capture}
+sudo aptitude install git screen vim rubygems1.9.1 ruby1.9.1-dev ipython ${image_viewer} ${image_editor} ${desktop_capture... | bash |
d_bash_6145 | ---
+++
@@ -1,7 +1,8 @@
#!/usr/bin/env bash
# First argument is path to common.sh
-if [[ "$1" != "" ]]; then
+if [ -z "$1" ]
+ then
base=$(dirname "$0")
common_path="$base"/../common-functions.sh
fi | bash |
d_bash_6146 | ---
+++
@@ -1,3 +1,2 @@
#!/bin/bash
-mvn site:site
-mvn javadoc:javadoc -Daggregate=true -Dencoding=GBK -Ddocencoding=GBK -Dcharset=GBK
+mvn javadoc:javadoc -Daggregate=true -Dencoding=GBK -Ddocencoding=utf-8 -Dcharset=utf-8 | bash |
d_bash_6147 | ---
+++
@@ -1,6 +1,8 @@
#!/bin/sh
set -evx
+
+export LANG=en_US.UTF-8
. ci/bundle_install.sh
| bash |
d_bash_6148 | ---
+++
@@ -32,5 +32,5 @@
fi
CONFIGS_DIRECTORY=$1
-echo "ln --symbolic --force --no-target-directory" "$CONFIGS_DIRECTORY/cronjobs" "/var/lib/tuelib/cronjobs"
ln --symbolic --force --no-target-directory "$CONFIGS_DIRECTORY/cronjobs" "/var/lib/tuelib/cronjobs"
+ln --symbolic --force --no-target-directory "$CONFIG... | bash |
d_bash_6149 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
wget https://storage.googleapis.com/golang/go1.4.2.linux-amd64.tar.gz
-tar -xzf go1.4.2.linux-amd64.tar.gz /usr/local
+tar -xzf go1.4.2.linux-amd64.tar.gz -C /usr/local
go get github.com/onsi/ginkgo/ginkgo golang.org/x/tools/cmd/vet golang.org/x/tools/cmd/cover
| bash |
d_bash_6150 | ---
+++
@@ -27,6 +27,7 @@
install_npm_pkg vsce
install_npm_pkg typescript
install_npm_pkg ts-node
+install_npm_pkg esbuild
install_npm_pkg jest
install_node_version 12.16.3 --reinstall-packages-from=default | bash |
d_bash_6151 | ---
+++
@@ -22,6 +22,7 @@
export LDFLAGS="-L$ldnsobj"
./configure \
+ --prefix= --exec-prefix=/usr \
--with-conf-file=/etc/unbound/unbound.conf \
--with-run-dir=/var/unbound \
--with-username=unbound | bash |
d_bash_6152 | ---
+++
@@ -20,7 +20,7 @@
fi
cd jazz-build-module || exit
-cp "$JAZZ_INSTALLER_ROOT"/installer/terraform/provisioners/cookbooks/jenkins/files/default/jazz-installer-vars.json .
+cp ../provisioners/cookbooks/jenkins/files/default/jazz-installer-vars.json .
git add jazz-installer-vars.json
git config --global use... | bash |
d_bash_6153 | ---
+++
@@ -22,9 +22,8 @@
fi
echo "Starting uWSGI..."
-UWSGI_INI=uwsgi.ini
-if [[ ! -f $UWSGI_INI ]]; then
- UWSGI_INI="uwsgi_example.ini"
+if [[ ! -f uwsgi.ini ]]; then
+ cp uwsgi_example.ini uwsgi.ini
fi
-uwsgi --ini "$UWSGI_INI" "$@"
+uwsgi --ini uwsgi.ini "$@" | bash |
d_bash_6154 | ---
+++
@@ -8,6 +8,7 @@
if [[ "$1" = 'migrate' ]]; then
${MANAGE_CMD} migrate
${MANAGE_CMD} collectstatic --no-input
+ ${MANAGE_CMD} createadmin
exit 0
fi
| bash |
d_bash_6155 | ---
+++
@@ -2,7 +2,7 @@
python --version
echo "Downloading virtualenv..."
-curl -O https://pypi.python.org/packages/source/v/virtualenv/virtualenv-15.0.0.tar.gz
+curl -O "https://pypi.python.org/packages/source/v/virtualenv/virtualenv-15.0.0.tar.gz"
echo "Unzipping virtualenv..."
tar xvfz virtualenv-15.0.0.tar.... | bash |
d_bash_6156 | ---
+++
@@ -1,8 +1,3 @@
#!/bin/sh
-diff "$@"
-RES="$?"
-if [ "$RES" = "2" ]; then
- exit 1
-fi
-exit "$RES"
+diff "$@" || exit 1 | bash |
d_bash_6157 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+cd /semitki
+ENV/bin/pip install -r requirements.txt
cd /semitki/api
/semitki/ENV/bin/python /semitki/api/manage.py migrate
/semitki/ENV/bin/python /semitki/api/manage.py runserver 0.0.0.0:8000 | bash |
d_bash_6158 | ---
+++
@@ -2,7 +2,7 @@
echo "The detected OS is ${DOTFILES_OS}"
if [[ ${DOTFILES_OS} == "Mac" ]]; then
- bottles="python3 httpie fd exa ripgrep htop ranger bat"
+ bottles="python3 httpie fd exa ripgrep htop ranger bat zola"
casks="alacritty"
brew install "${bottles}"
brew upgrade "${bottles}... | bash |
d_bash_6159 | ---
+++
@@ -1,13 +1,15 @@
-export EDITOR='subl'
+#!/bin/sh
+
+export EDITOR='vim'
# Set language environment
export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8
-export MANPATH="/usr/local/man:$MANPATH"
+export MANPATH="$MANPATH:/usr/local/man"
export PATH="$PATH:/usr/bin:/bin:/usr/sbin:/sbin"
-export PATH="$... | bash |
d_bash_6160 | ---
+++
@@ -1,16 +1,16 @@
# Enable gpg-agent if it is not running-
# --use-standard-socket will work from version 2 upwards
-AGENT_SOCK=`gpgconf --list-dirs | grep agent-socket | cut -d : -f 2`
+AGENT_SOCK=$(gpgconf --list-dirs | grep agent-socket | cut -d : -f 2)
-if [ ! -S ${AGENT_SOCK} ]; then
- gpg-agent -... | bash |
d_bash_6161 | ---
+++
@@ -5,5 +5,6 @@
cppcheck --quiet --enable=style --force --xml --xml-version=2 \
-I ${MESON_CURRENT_SOURCE_DIR}/include \
+ -I ${MESON_CURRENT_SOURCE_DIR}/dependencies/lib \
src test \
2>${MESON_BUILD_ROOT}/cppcheck.xml | bash |
d_bash_6162 | ---
+++
@@ -1,6 +1,5 @@
#!/bin/sh
set -e
-self=$$
termination_log="/dev/termination-log"
for i; do
@@ -23,10 +22,10 @@
if [ -z "$driver_hash" ]; then
echo "driver-hash not provided, will not verify after download" | tee -a $termination_log
fi
- if ! { download_driver.sh "$driver_url" "$driver_hash" ... | bash |
d_bash_6163 | ---
+++
@@ -4,12 +4,12 @@
CUR_DIR="$PWD"
docker run -d --name resolvable --hostname resolvable -v /var/run/docker.sock:/tmp/docker.sock -v /etc/resolv.conf:/tmp/resolv.conf mgood/resolvable
-docker run -d --name master -h master -e "SLAVES=$N" gustavonalle/yarn:2.7.1
+docker run -d --name master -h master -e "SL... | bash |
d_bash_6164 | ---
+++
@@ -5,10 +5,10 @@
exit 1
fi
#-- Set to my local installation
-QMAKE=/Users/gus/Applications/Qt/5.7/ios/bin/qmake
+QMAKE=/Users/gus/Applications/Qt/5.11.0/ios/bin/qmake
#-- Using Travis variables as this will eventually live there
SHADOW_BUILD_DIR=/Volumes/RAMDisk/build-qgroundcontrol-iOS-Release
-TRA... | bash |
d_bash_6165 | ---
+++
@@ -7,5 +7,5 @@
CLEAN_UP=1
ROOT_FILES="readme.txt"
ROOT_DIRS="defaults/"
-BEFORE_BUILD=
+BEFORE_BUILD="find . -name .DS_Store -type f -delete"
AFTER_BUILD= | bash |
d_bash_6166 | ---
+++
@@ -2,6 +2,26 @@
sudo pear config-set auto_discover 1
sudo pear channel-discover pear.phpunit.de
+
+# Manually download (lowest supported) dependencies of PHPUnit to work around
+# bugs in PEAR.
+#
+# More information:
+# * https://github.com/myplanetdigital/vagrant-ariadne/issues/77
+# * https://pear.ph... | bash |
d_bash_6167 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# Recursive swift code wrapper generator for gobject-introspection (.gir) files.
# This calls the non-recursive gir-to-swift.sh to do the heavy lifting. | bash |
d_bash_6168 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/usr/bin/env bash
# this is the command that runs our server
# --noreload is only runs one processes (which we can then kill) | bash |
d_bash_6169 | ---
+++
@@ -18,3 +18,10 @@
# the functionality of stacking a set of 2D slices into a 3D volume dataset. The output
# of the command above should simply reproduce the original canon_hist.nii.gz dataset.
#
+
+cd C:\Asif\work\projects\birn\smartatlas\itk\tools\INCF GIT\ImageReconstruction Bin\Release>
+
+AffineImag... | bash |
d_bash_6170 | ---
+++
@@ -29,5 +29,6 @@
fig --project-name jenkins${JOB_NAME}${BUILD_NUMBER} run -T web chmod a+wx -R locale
cd locale
-git commit -a -m "Update strings."
+git add .
+git commit -m "Update strings."
git push origin master | bash |
d_bash_6171 | ---
+++
@@ -2,9 +2,8 @@
# create extension timescaledb in initial databases
psql -U postgres postgres -c "CREATE EXTENSION IF NOT EXISTS timescaledb CASCADE;"
-psql -U postgres template1 -c "CREATE EXTENSION IF NOT EXISTS timescaledb CASCADE;"
+#psql -U postgres template1 -c "CREATE EXTENSION IF NOT EXISTS timesc... | bash |
d_bash_6172 | ---
+++
@@ -54,7 +54,7 @@
}
strip(){
- replace ${1} ${2}
+ replace ${@} null
}
toLowerCase(){ | bash |
d_bash_6173 | ---
+++
@@ -1,2 +1,2 @@
-export PATH="./bin:$ZSH/bin:/usr/local/bin:/usr/local/sbin:$PATH"
+export PATH="$ZSH/bin:/usr/local/bin:/usr/local/sbin:$PATH"
export MANPATH="/usr/local/man:/usr/local/mysql/man:/usr/local/git/man:$MANPATH" | bash |
d_bash_6174 | ---
+++
@@ -17,5 +17,5 @@
echo "Will replace http with https in the generated maven site ..."
read -p "Please abort in case you haven't generated the site or press RETURN to continue."
cd ../target/site
-sed -i 's/"https:/"https:/g' *.html
+sed -i 's/"http:/"https:/g' *.html
echo "DONE - please verify before push... | bash |
d_bash_6175 | ---
+++
@@ -28,6 +28,7 @@
# run test
cucumber $TEST_FILE -p $PROFILE
+RETURN_STATUS=$? #Preserves the test exit status
#back to normal mode
echo "--> Removing tests directory"
@@ -40,3 +41,4 @@
#~/tomcat6/bin/shoutdown.sh
#~/tomcat6/bin/startup.sh
+exit ${RETURN_STATUS} | bash |
d_bash_6176 | ---
+++
@@ -5,6 +5,8 @@
isavailable() {
type "$1" &>/dev/null
}
+
+export TERM=xterm-256color
# from: https://stackoverflow.com/a/21320645
function red_stderr() { | bash |
d_bash_6177 | ---
+++
@@ -13,7 +13,7 @@
SCRIPT_PATH="$(dirname $0)"
-RUN_PARAMS="--host ac.testnet.libra.org --port 8080 "
+RUN_PARAMS="--host client.testnet.libra.org --port 80 "
RELEASE=""
while [[ ! -z "$1" ]]; do | bash |
d_bash_6178 | ---
+++
@@ -12,7 +12,7 @@
go build -v -o bin/packer .
# Go over each plugin and build it
-for PLUGIN in $(find ./plugin -type d -mindepth 1 -maxdepth 1); do
+for PLUGIN in $(find ./plugin -mindepth 1 -maxdepth 1 -type d); do
PLUGIN_NAME=$(basename ${PLUGIN})
echo "${OK_COLOR}--> Compiling Plugin: ${PLUG... | bash |
d_bash_6179 | ---
+++
@@ -36,7 +36,7 @@
brew install python3
brew install rename
brew install tree
-# brew install hub
+brew install hub
# Check if installation is successfully
brew doctor | bash |
d_bash_6180 | ---
+++
@@ -5,7 +5,7 @@
echo "Make sure you are running this with conda >=4.2"
echo "Check with 'conda -V'"
echo "Upgrade with 'conda update conda' from the *root* environment"
-conda env create --prefix ${CONDA_TEMP_PREFIX} --file setup/environment36.yml
+conda env create --prefix ${CONDA_TEMP_PREFIX} --file setu... | bash |
d_bash_6181 | ---
+++
@@ -2,3 +2,6 @@
if [[ -d "${HOME}/.poetry/bin" ]]; then
export PATH="${HOME}/.poetry/bin:${PATH}"
fi
+
+# create poetry virtual envs in project
+export POETRY_VIRTUALENVS_IN_PROJECT=1 | bash |
d_bash_6182 | ---
+++
@@ -1,9 +1,9 @@
#!/bin/bash
-HOME=/vagrant/user_level_slurm_reservations
+HOME=/home/centos/user_level_slurm_reservations
LOGFILE=/var/log/slurm-llnl/hil_monitor.log
-source $HOME/../ve/bin/activate
+source $HOME/ve/bin/activate
export PYTHONPATH=$HOME/prolog:$PYTHONPATH
# python $HOME/commands/hil_sl... | bash |
d_bash_6183 | ---
+++
@@ -5,6 +5,8 @@
sed "s/^edge:x:1000:1000:/edge:x:$(id -u):1000:/" /etc/passwd > /tmp/passwd
cat /tmp/passwd > /etc/passwd
rm /tmp/passwd
+ sudo groupadd arbitary -g $(id -u)
+ sudo usermod -aG arbitary edge
sudo chown -R edge /home/edge /var/www
fi
fi | bash |
d_bash_6184 | ---
+++
@@ -26,6 +26,6 @@
curl -Lsf -o git-lfs.tgz https://github.com/git-lfs/git-lfs/releases/download/v${GIT_LFS_RELEASE}/git-lfs-linux-amd64-v${GIT_LFS_RELEASE}.tar.gz
mkdir git-lfs
tar -xvzf git-lfs.tgz -C git-lfs
-sudo chmod 755 /usr/local/bin/git-lfs
+sudo chmod 755 git-lfs/git-lfs
sudo ./git-lfs/install.sh... | bash |
d_bash_6185 | ---
+++
@@ -11,3 +11,5 @@
valgrind_test $common_args --no-rdoq --no-signhide --subme=0
valgrind_test $common_args --rdoq --no-deblock --no-sao --subme=0
valgrind_test $common_args --vaq=8
+valgrind_test $common_args --vaq=8 --bitrate 3500
+valgrind_test $common_args --vaq=8 --rc-algorithm oba --bitrate 3500 | bash |
d_bash_6186 | ---
+++
@@ -15,6 +15,10 @@
rename /backup/pr0gramm.dump.1 /backup/pr0gramm.dump.2
rename /backup/pr0gramm.dump /backup/pr0gramm.dump.1
-# make a new one
+# vaccuum and analyze database
+docker run --rm postgres:9.6-alpine \
+ psql -c 'VACUUM VERBOSE ANALYZE;' "$1"
+
+# create a new backup of all the data
docker... | bash |
d_bash_6187 | ---
+++
@@ -6,7 +6,7 @@
mkdir src
cd src
-for pro in atelier lino xl cosi noi book voga welfare avanti extjs6 presto vilma
+for pro in atelier lino xl cosi noi book voga welfare care avanti extjs6 presto vilma
do
git clone git@github.com:lino-framework/$pro.git
@@ -36,7 +36,7 @@
pip -U pip
pip -U setupt... | bash |
d_bash_6188 | ---
+++
@@ -4,6 +4,7 @@
set -o pipefail
USE_CACHE=${USE_CACHE:-0}
+DIB_COMMON_ELEMENTS=${DIB_COMMON_ELEMENTS:-'stackuser'}
### --include
## devtest_ramdisk
@@ -30,7 +31,8 @@
"$USE_CACHE" == "0" ] ; then
### --include
$TRIPLEO_ROOT/diskimage-builder/bin/ramdisk-image-create -a $NODE_ARCH \
- ... | bash |
d_bash_6189 | ---
+++
@@ -7,6 +7,7 @@
#Assume Fedora
sudo yum install \
automake \
+ fuse-python \
gcc-c++ \
git \
libtool \ | bash |
d_bash_6190 | ---
+++
@@ -1,3 +1,7 @@
+#!/bin/sh
+mkdir bin
+
+javac -d bin -cp lib/BreezySwing.jar src/*/*.java
rm -f *.jar
ant -buildfile game.xml | bash |
d_bash_6191 | ---
+++
@@ -1,12 +1,12 @@
create_key() {
- tpm2_createprimary -H o -g sha256 -G rsa -C po.ctx
+ tpm2_createprimary -a o -g sha256 -G rsa -C po.ctx
tpm2_create -c po.ctx -g sha256 -G rsa -u key.pub -r key.priv
tpm2_load -c po.ctx -u key.pub -r key.priv -C obj.ctx
- tpm2_evictcontrol -A o -c obj.ctx... | bash |
d_bash_6192 | ---
+++
@@ -5,7 +5,7 @@
autogen openconnect xclip pwgen ranger nodejs npm go dotnet-sdk
sudo pacman -S --noconfirm --needed base-devel
-yaourt -S git-extras bash-git-prompt visual-studio-code-bin
+yaourt -S git-extras bash-git-prompt visual-studio-code-bin otf-fira-code
# setup bash-git-prompt
if ! grep -... | bash |
d_bash_6193 | ---
+++
@@ -14,5 +14,5 @@
# Install Deployment
-sudo curl https://cli-assets.heroku.com/install-ubuntu.sh | sh
-
+# Disabled because it breaks the build currently due to an error. It's not used currently.
+# sudo curl https://cli-assets.heroku.com/install-ubuntu.sh | sh | bash |
d_bash_6194 | ---
+++
@@ -2,8 +2,11 @@
export PYENV_ROOT="${HOME}/.pyenv"
export PATH="${PYENV_ROOT}/bin:${PATH}"
if command -v pyenv 1>/dev/null 2>&1; then
+ eval "$(pyenv init --path)"
eval "$(pyenv init -)"
fi
# Add virtualenv
-eval "$(pyenv virtualenv-init -)"
+if which pyenv-virtualenv-init > /dev/null; then
+ ... | bash |
d_bash_6195 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-DOXYGEN=$2
+DOXYGEN=${2:-doxygen}
CONFIG_FILE=single
FILE=$1
echo "INPUT=$FILE" > $CONFIG_FILE | bash |
d_bash_6196 | ---
+++
@@ -1,7 +1,7 @@
#! /usr/bin/env bash
set -e
+npm install
+
export NODE_ENV=production
-
-npm install
./node_modules/.bin/gulp dist | bash |
d_bash_6197 | ---
+++
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# Try install by
# - download binary
# - build with cargo | bash |
d_bash_6198 | ---
+++
@@ -27,13 +27,11 @@
(
cd gh-pages
git add ${target}
-git commit -m <<EOF
-[AUTOMATED] Documentation update
+git commit -m "[AUTOMATED] Documentation update
Timestamp: $(date "+%Y-%m-%d %H:%M:%S")
From ${gitdata}
-Target: ${target}
-EOF
+Target: ${target}"
git push origin gh-pages
) | bash |
d_bash_6199 | ---
+++
@@ -3,3 +3,12 @@
# Local installs with `pip --user`.
export PATH=$HOME/.local/bin/:$PATH
+
+# enable bash completion in interactive shells
+if ! shopt -oq posix; then
+ if [ -f /usr/share/bash-completion/bash_completion ]; then
+ . /usr/share/bash-completion/bash_completion
+ elif [ -f /etc/bash_comp... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.